Bug 167267 - pam-panel icon no longer appears
pam-panel icon no longer appears
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2005-08-31 22:54 EDT by Vesko Tomov
Modified: 2008-02-28 15:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-28 15:06:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vesko Tomov 2005-08-31 22:54:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.2 (like Gecko)

Description of problem:
This is bug is sort of the opposite of 
I used to have a blank (ugly) space always in the system tray that would 
display the authentication shield whenever I used a program that required root 
privilidge.  Now this space is gone, but the shield never shows up either, 
even when I have put in root password to run something.  Ksysguard shows that 
pam-panel-icon and pam_timestamp_c are running, but the only way to actually 
get the icon into the system tray is to kill those two processes and then 
issue the command "pam-panel-icon."  Then the white space / shield appear, but 
are once again gone when I log in next time.  (Actually, they are missing ~90% 
of the time; sometimes when I log into KDE the icon is, indeed, in the system 
tray.  I haven't been able to figure out what makes it show occasionally.) 
In my $HOME/.kde/share/config/ksmserverrc there are these two lines: 
If I delete these two lines, the pam-panel-icon process isn't running upon 
login, and it doesn't start when I authenticate as root. 

Version-Release number of selected component (if applicable):
KDE 3.4.2-0.fc4.1

How reproducible:

Steps to Reproduce:
1.  Log into KDE -- there is no white space in the system tray. 
2.  Start application (e.g. Service Manager), requiring root access; enter 
root password. 

Actual Results:  No shield appears in system tray, even though pam-panel-icon is running. 

Expected Results:  Shield should appear in sytem tray.  It should disappear (without leaving 
blank space) when exiting the program. 

Additional info:

Probably irrelevant, but I began seeing this bug around the time I switched 
the background of the panel to transparent.
Comment 1 Christian Iseli 2007-01-22 06:30:33 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 2 petrosyan 2008-02-28 15:06:57 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.